Subject: [PATCH] ARM: imx: replace imx6q_restart() with mxc_restart()

From: [email-masked] (jiada)
Date: Wed, 30 Oct 2013 22:31:54 -0700

Hi

On 10/30/2013 10:54 AM, Russell King - ARM Linux wrote:
> On Tue, Oct 29, 2013 at 08:13:02PM -0700, jiada wrote:
>> Hi
>>
>> On 10/28/2013 12:45 AM, Shawn Guo wrote:
>>> 1. Apply the following change
>>>
>>> https://git.linaro.org/gitweb?p=people/shawnguo/linux-2.6.git;a=commitdiff;h=6050d181a4fd4abb745506a6e565d55f1f9df964
>>>
>>> 2. Remove imx_src_prepare_restart() from imx6q_restart().
>>>
>>> I will send a patch against the latest kernel.
>>>
>> Thanks Shawn, I have verified with these two changes,
>> system reboot by "echo b > /proc/sysrq-trigger" works
>> for me.
>
> The test you really want to do is a reboot via serial console: <break> b.
> That's definitely the one which will get you if your restart handler has
> anything in it which sleeps.  This will definitely call the restart
> handler from IRQ context.
>
Yes, I tested both "echo b > /proc/sysrq-trigger" and console: <break> b
reboot, but with out this fix patch, previously I saw problem when
reboot by "echo b > /proc/sysrq-trigger".
with this fix patch, both way work fine.

Thanks,
Jiada